name:       geometry
version:    0.0.1
license:    MIT

ghc-options:
  - -Wall
  - -Wcompat

dependencies:
  - base == 4.*

library:
    source-dirs: src
    dependencies:
      - genvalidity
      - deepseq
      - array
      - async

tests:
    geometry-test:
        source-dirs: test
        main: Spec.hs
        ghc-options:
          - -Wno-missing-export-lists
        dependencies:
          - geometry
          - hspec
          - genvalidity-hspec
          - QuickCheck
        build-tools: hspec-discover

benchmarks:
    geometry-bench:
        main: Main.hs
        source-dirs: bench
        ghc-options: -threaded -O -rtsopts -with-rtsopts=-N4
        dependencies:
          - geometry
          - criterion
